{
    name: "Whipped Dream",
    spritenum: 692,
    fling: {
        basePower: 80
    },
    onUpdate(pokemon) {
        if (pokemon.hp <= pokemon.maxhp / 3 && pokemon.species.name === 'Slurpuff') {
            let healAmount = Math.floor(pokemon.maxhp / 2);
            if (this.runEvent("TryHeal", pokemon, null, this.effect, healAmount) && pokemon.useItem()) {
                this.heal(healAmount);
            }
        }
    },
    num: 646,
    gen: 6,
    isNonstandard: "Past"
}
